Summary:	Utility for decompressing alzip format files
Summary(pl.UTF-8):	Narzędzie do dekompresji plików w formacie alzip
Name:		unalz
Version:	0.65
Release:	2
License:	BSD
Group:		Applications/Archiving
Source0:	https://kippler.com/win/unalz/%{name}-%{version}.tgz
# Source0-md5:	e4db2c4e3c8f6f5ee414b68bc55288e5
Patch0:		%{name}-system-zlib.patch
Patch1:		%{name}-types.patch
URL:		https://kippler.com/win/unalz/
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility for decompressing alzip format files.

%description -l pl.UTF-8
Narzędzie do dekompresji plików w formacie alzip.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__make} linux-utf8 \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64" \
	CXXFLAGS="%{rpmcxxflags} %{rpmcppflags} -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT

install -D unalz $RPM_BUILD_ROOT%{_bindir}/unalz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_bindir}/unalz
%changelog
* Fri Nov 15 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unalz.git;a=log;h=master

* Fri Nov 15 2019 Jakub Bogusz <qboosh@pld-linux.org> 5430d5d
- new URLs
- added system-zlib,types patches from Fedora
- release 2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 8421b35
- BR: zlib-devel

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 2f2e8e8
- updated to 0.65

* Wed Feb 25 2009 duddits <duddits@pld-linux.org> b855373
- up to 0.64

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> c9b0140
- updated to 0.62

* Sat Feb 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 914f568
- updated to 0.61

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9fefaa1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 481438c
- converted to UTF-8

* Mon Jan 08 2007 Jakub Bogusz <qboosh@pld-linux.org> 59c27ef
- updated to 0.60

* Mon Mar 13 2006 Jakub Bogusz <qboosh@pld-linux.org> c445e9f
- added CVE note to rev. 1.4 changelog

* Mon Mar 13 2006 Jakub Bogusz <qboosh@pld-linux.org> 417adf6
- added CVE note to rev. 1.3 changelog

* Mon Mar 13 2006 Jakub Bogusz <qboosh@pld-linux.org> e95860a
- updated to 0.55 (fixes "../" directory traversal [CVE-2006-0950])

* Sun Nov 27 2005 Jakub Bogusz <qboosh@pld-linux.org> ff3c89a
- updated to 0.53 [fixes buffer overflow - CVE-2005-3862]

* Fri Oct 07 2005 Jakub Bogusz <qboosh@pld-linux.org> e13b533
- updated to 0.52

* Wed Dec 01 2004 Jakub Bogusz <qboosh@pld-linux.org> adde983
- new

